"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function AnchorsAwayPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="AnchorsAway" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 80}`} height={`${height || 80}`} viewBox="0 0 80 80">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M14 16H9v-2h5V9.87a4 4 0 112 0V14h5v2h-5v15.95A10 10 0 0023.66 27l-3.46-2 8.2-2.2-2.9 5a12 12 0 01-21 0l-2.89-5 8.2 2.2-3.47 2A10 10 0 0014 31.95V16zm40 40h-5v-2h5v-4.13a4 4 0 112 0V54h5v2h-5v15.95A10 10 0 0063.66 67l-3.47-2 8.2-2.2-2.88 5a12 12 0 01-21.02 0l-2.88-5 8.2 2.2-3.47 2A10 10 0 0054 71.95V56zm-39 6a2 2 0 110-4 2 2 0 010 4zm40-40a2 2 0 110-4 2 2 0 010 4zM15 8a2 2 0 100-4 2 2 0 000 4zm40 40a2 2 0 100-4 2 2 0 000 4z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = AnchorsAwayPattern;
