"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function CagePattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Cage" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 32}`} height={`${height || 26}`} viewBox="0 0 32 26">
        <react_native_svg_1.Path d="M14 0v3.994C14 7.864 10.858 11 7 11c-3.866 0-7-3.138-7-7.006V0h2v4.005a5.001 5.001 0 0010 0V0h2zm0 26v-5.994A7.004 7.004 0 007 13c-3.858 0-7 3.137-7 7.006V26h2v-6.005a5.001 5.001 0 0110 0V26h2zm2-18.994C16 3.136 19.142 0 23 0c3.866 0 7 3.138 7 7.006v9.988C30 20.864 26.858 24 23 24c-3.866 0-7-3.138-7-7.006V7.006zm2-.01a5.001 5.001 0 0110 0v10.009a5.001 5.001 0 01-10 0V6.995z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = CagePattern;
