"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function CorkScrewPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="CorkScrew" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 20}`} height={`${height || 16}`} viewBox="0 0 20 16">
        <react_native_svg_1.Path d="M0 .04C2.6.22 4.99 1.1 7 2.5A13.94 13.94 0 0115 0h4c.34 0 .67.01 1 .04v2A12 12 0 007.17 12h5.12A7 7 0 0120 7.07V14a5 5 0 00-3-4.58A5 5 0 0014 14H0V7.07c.86.12 1.67.4 2.4.81.75-1.52 1.76-2.9 2.98-4.05C3.79 2.83 1.96 2.2 0 2.04v-2z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = CorkScrewPattern;
