"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function DeathStarPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="DeathStar" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 80}`} height={`${height || 105}`} viewBox="0 0 80 105">
        <react_native_svg_1.Path d="M20 10a5 5 0 0110 0v50a5 5 0 01-10 0V10zm15 35a5 5 0 0110 0v50a5 5 0 01-10 0V45zM20 75a5 5 0 0110 0v20a5 5 0 01-10 0V75zm30-65a5 5 0 0110 0v50a5 5 0 01-10 0V10zm0 65a5 5 0 0110 0v20a5 5 0 01-10 0V75zM35 10a5 5 0 0110 0v20a5 5 0 01-10 0V10zM5 45a5 5 0 0110 0v50a5 5 0 01-10 0V45zm0-35a5 5 0 0110 0v20a5 5 0 01-10 0V10zm60 35a5 5 0 0110 0v50a5 5 0 01-10 0V45zm0-35a5 5 0 0110 0v20a5 5 0 01-10 0V10z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = DeathStarPattern;
