"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function DiagonalLinesPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="DiagonalLines" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 6}`} height={`${height || 6}`} viewBox="0 0 6 6">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M5 0h1L0 6V5zM6 5v1H5z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = DiagonalLinesPattern;
