"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function FlippedDiamondsPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="FlippedDiamonds" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 16}`} height={`${height || 20}`} viewBox="0 0 16 20">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M8 0v20L0 10zM16 0v10L8 0zM16 10v10H8z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = FlippedDiamondsPattern;
