"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function HeavyRainPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="HeavyRain" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 12}`} height={`${height || 24}`} viewBox="0 0 12 24">
        <react_native_svg_1.Path d="M2 0h2v12H2V0zm1 20a2 2 0 10.001-3.999A2 2 0 003 20zM9 8a2 2 0 10.001-3.999A2 2 0 009 8zm-1 4h2v12H8V12z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = HeavyRainPattern;
