"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function HideoutPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Hideout" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 40}`} height={`${height || 40}`} viewBox="0 0 40 40">
        <react_native_svg_1.Path d="M0 38.59l2.83-2.83 1.41 1.41L1.41 40H0v-1.41zM0 1.4l2.83 2.83 1.41-1.41L1.41 0H0v1.41zM38.59 40l-2.83-2.83 1.41-1.41L40 38.59V40h-1.41zM40 1.41l-2.83 2.83-1.41-1.41L38.59 0H40v1.41zM20 18.6l2.83-2.83 1.41 1.41L21.41 20l2.83 2.83-1.41 1.41L20 21.41l-2.83 2.83-1.41-1.41L18.59 20l-2.83-2.83 1.41-1.41L20 18.59z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = HideoutPattern;
