"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function HoundStoothPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="HoundStooth" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 24}`} height={`${height || 24}`} viewBox="0 0 24 24">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M0 18h6l6-6v6h6l-6 6H0zM24 18v6h-6zM24 0l-6 6h-6l6-6zM12 0v6L0 18v-6l6-6H0V0z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = HoundStoothPattern;
