"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function OverlappingHexagonsPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="OverlappingHexagons" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 50}`} height={`${height || 40}`} viewBox="0 0 50 40">
        <react_native_svg_1.Path d="M40 10L36.67 0h-2.11l3.33 10H20l-2.28 6.84L12.11 0H10l6.67 20H10l-2.28 6.84L2.11 10 5.44 0h-2.1L0 10l6.67 20-3.34 10h2.11l2.28-6.84L10 40h20l2.28-6.84L34.56 40h2.1l-3.33-10H40l2.28-6.84L47.89 40H50l-6.67-20L50 0h-2.1l-5.62 16.84L40 10zm1.23 10l-2.28-6.84L34 28h4.56l2.67-8zm-10.67 8l-2-6h-9.12l2 6h9.12zm-12.84-4.84L12.77 38h15.79l2.67-8H20l-2.28-6.84zM18.77 20H30l2.28 6.84L37.23 12H21.44l-2.67 8zm-7.33 2H16l-4.95 14.84L8.77 30l2.67-8z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = OverlappingHexagonsPattern;
