"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function PianoManPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="PianoMan" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 70}`} height={`${height || 46}`} viewBox="0 0 70 46">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M68 44h-6v2h-6v-2h-4v2h-6v-2h-6v2h-2v-2h-6v2h-6v-2h-4v2h-6v-2h-4v2H6v-2H0v-2h8V28H6V0h6v28h-2v14h8V28h-2V0h6v28h-2v14h8V28h-2V0h6v28h-2v14h8V0h2v42h8V28h-2V0h6v28h-2v14h8V28h-2V0h6v28h-2v14h8V0h2v46h-2z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = PianoManPattern;
