"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function RailsPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Rails" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 20}`} height={`${height || 10}`} viewBox="0 0 20 10">
        <react_native_svg_1.Path d="M16 6H6v4H4V6H2V4h2V0h2v4h10V0h2v4h2v2h-2v4h-2V6z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = RailsPattern;
