"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function TexturePattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Texture" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 8}`} height={`${height || 8}`} viewBox="0 0 4 4">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M1 3h1v1H1V3zm2-2h1v1H3V1z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = TexturePattern;
