"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function VolcanoLampPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="VolcanoLamp" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 48}`} height={`${height || 32}`} viewBox="0 0 48 32">
        <react_native_svg_1.Path d="M27 32a6 6 0 016-6c5.523 0 10-4.477 10-10S38.523 6 33 6a6 6 0 01-6-6h2c0 2.21 1.79 4 4 4 6.627 0 12 5.373 12 12s-5.373 12-12 12c-2.21 0-4 1.79-4 4h-2zm-6 0a6 6 0 00-6-6C9.477 26 5 21.523 5 16S9.477 6 15 6a6 6 0 006-6h-2c0 2.21-1.79 4-4 4C8.373 4 3 9.373 3 16s5.373 12 12 12c2.21 0 4 1.79 4 4h2z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = VolcanoLampPattern;
