"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function WigglePattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Wiggle" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 52}`} height={`${height || 26}`} viewBox="0 0 52 26">
        <react_native_svg_1.Path d="M10 10c0-2.21-1.79-4-4-4a6 6 0 01-6-6h2c0 2.21 1.79 4 4 4a6 6 0 016 6c0 2.21 1.79 4 4 4a6 6 0 016 6c0 2.21 1.79 4 4 4v2a6 6 0 01-6-6c0-2.21-1.79-4-4-4a6 6 0 01-6-6zm25.464-1.95l8.486 8.486-1.414 1.414-8.486-8.486 1.414-1.414z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = WigglePattern;
