"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_native_svg_1 = __importStar(require("react-native-svg"));
const react_native_1 = require("react-native");
const FallingTriangles_1 = __importDefault(require("./patterns/FallingTriangles"));
const Bath_1 = __importDefault(require("./patterns/Bath"));
const Circle_1 = __importDefault(require("./patterns/Circle"));
const Bubble_1 = __importDefault(require("./patterns/Bubble"));
const FloatingCogs_1 = __importDefault(require("./patterns/FloatingCogs"));
const Star_1 = __importDefault(require("./patterns/Star"));
const Stripes_1 = __importDefault(require("./patterns/Stripes"));
const Skull_1 = __importDefault(require("./patterns/Skull"));
const TicTacToe_1 = __importDefault(require("./patterns/TicTacToe"));
const CirclesSquares_1 = __importDefault(require("./patterns/CirclesSquares"));
const BankNote_1 = __importDefault(require("./patterns/BankNote"));
const SquaresInSquares_1 = __importDefault(require("./patterns/SquaresInSquares"));
const Rain_1 = __importDefault(require("./patterns/Rain"));
const Rails_1 = __importDefault(require("./patterns/Rails"));
const Moroccan_1 = __importDefault(require("./patterns/Moroccan"));
const MorphingDiamonds_1 = __importDefault(require("./patterns/MorphingDiamonds"));
const Jigsaw_1 = __importDefault(require("./patterns/Jigsaw"));
const Overcast_1 = __importDefault(require("./patterns/Overcast"));
const FormalInvitation_1 = __importDefault(require("./patterns/FormalInvitation"));
const Topography_1 = __importDefault(require("./patterns/Topography"));
const Texture_1 = __importDefault(require("./patterns/Texture"));
const Jupiter_1 = __importDefault(require("./patterns/Jupiter"));
const Cutout_1 = __importDefault(require("./patterns/Cutout"));
const Hideout_1 = __importDefault(require("./patterns/Hideout"));
const GraphPaper_1 = __importDefault(require("./patterns/GraphPaper"));
const YYY_1 = __importDefault(require("./patterns/YYY"));
const Squares_1 = __importDefault(require("./patterns/Squares"));
const PianoMan_1 = __importDefault(require("./patterns/PianoMan"));
const PieFactory_1 = __importDefault(require("./patterns/PieFactory"));
const Dominos_1 = __importDefault(require("./patterns/Dominos"));
const Hexagons_1 = __importDefault(require("./patterns/Hexagons"));
const CharlieBrown_1 = __importDefault(require("./patterns/CharlieBrown"));
const Autumn_1 = __importDefault(require("./patterns/Autumn"));
const Temple_1 = __importDefault(require("./patterns/Temple"));
const StampCollection_1 = __importDefault(require("./patterns/StampCollection"));
const ChurchOnSunday_1 = __importDefault(require("./patterns/ChurchOnSunday"));
const DeathStar_1 = __importDefault(require("./patterns/DeathStar"));
const ILikeFood_1 = __importDefault(require("./patterns/ILikeFood"));
const OverlappingHexagons_1 = __importDefault(require("./patterns/OverlappingHexagons"));
const Bamboo_1 = __importDefault(require("./patterns/Bamboo"));
const CorkScrew_1 = __importDefault(require("./patterns/CorkScrew"));
const HappyIntersection_1 = __importDefault(require("./patterns/HappyIntersection"));
const Kiwi_1 = __importDefault(require("./patterns/Kiwi"));
const Lips_1 = __importDefault(require("./patterns/Lips"));
const Lisbon_1 = __importDefault(require("./patterns/Lisbon"));
const RandomShapes_1 = __importDefault(require("./patterns/RandomShapes"));
const SteelBeams_1 = __importDefault(require("./patterns/SteelBeams"));
const TinyCheckers_1 = __importDefault(require("./patterns/TinyCheckers"));
const XEquals_1 = __importDefault(require("./patterns/XEquals"));
const AnchorsAway_1 = __importDefault(require("./patterns/AnchorsAway"));
const BevelCircle_1 = __importDefault(require("./patterns/BevelCircle"));
const BrickWall_1 = __importDefault(require("./patterns/BrickWall"));
const FancyRectangles_1 = __importDefault(require("./patterns/FancyRectangles"));
const HeavyRain_1 = __importDefault(require("./patterns/HeavyRain"));
const Plus_1 = __importDefault(require("./patterns/Plus"));
const RoundedPlusConnected_1 = __importDefault(require("./patterns/RoundedPlusConnected"));
const VolcanoLamp_1 = __importDefault(require("./patterns/VolcanoLamp"));
const Wiggle_1 = __importDefault(require("./patterns/Wiggle"));
const Cage_1 = __importDefault(require("./patterns/Cage"));
const Connections_1 = __importDefault(require("./patterns/Connections"));
const Current_1 = __importDefault(require("./patterns/Current"));
const FlippedDiamonds_1 = __importDefault(require("./patterns/FlippedDiamonds"));
const Glamorous_1 = __importDefault(require("./patterns/Glamorous"));
const HoundStooth_1 = __importDefault(require("./patterns/HoundStooth"));
const Leaf_1 = __importDefault(require("./patterns/Leaf"));
const LinesInMotion_1 = __importDefault(require("./patterns/LinesInMotion"));
const ZigZag_1 = __importDefault(require("./patterns/ZigZag"));
const Aztec_1 = __importDefault(require("./patterns/Aztec"));
const Boxes_1 = __importDefault(require("./patterns/Boxes"));
const CircuitBoard_1 = __importDefault(require("./patterns/CircuitBoard"));
const Curtain_1 = __importDefault(require("./patterns/Curtain"));
const DiagonalLines_1 = __importDefault(require("./patterns/DiagonalLines"));
const EndlessClouds_1 = __importDefault(require("./patterns/EndlessClouds"));
const Eyes_1 = __importDefault(require("./patterns/Eyes"));
const FloorTile_1 = __importDefault(require("./patterns/FloorTile"));
const Groovy_1 = __importDefault(require("./patterns/Groovy"));
const IntersectingCircles_1 = __importDefault(require("./patterns/IntersectingCircles"));
const Melt_1 = __importDefault(require("./patterns/Melt"));
const OverlappingDiamonds_1 = __importDefault(require("./patterns/OverlappingDiamonds"));
const ParkayFloor_1 = __importDefault(require("./patterns/ParkayFloor"));
const PixelDots_1 = __importDefault(require("./patterns/PixelDots"));
const Signal_1 = __importDefault(require("./patterns/Signal"));
const SlantedStars_1 = __importDefault(require("./patterns/SlantedStars"));
const Wallpaper_1 = __importDefault(require("./patterns/Wallpaper"));
class BackgroundSVG extends React.Component {
    constructor() {
        super(...arguments);
        this.renderPattern = (pattern) => {
            switch (pattern) {
                case "Bath":
                    return <Bath_1.default {...this.props}/>;
                case "Circle":
                    return <Circle_1.default {...this.props}/>;
                case "Bubble":
                    return <Bubble_1.default {...this.props}/>;
                case "FloatingCogs":
                    return <FloatingCogs_1.default {...this.props}/>;
                case "Star":
                    return <Star_1.default {...this.props}/>;
                case "Stripes":
                    return <Stripes_1.default {...this.props}/>;
                case "Skull":
                    return <Skull_1.default {...this.props}/>;
                case "TicTacToe":
                    return <TicTacToe_1.default {...this.props}/>;
                case "CirclesSquares":
                    return <CirclesSquares_1.default {...this.props}/>;
                case "BankNote":
                    return <BankNote_1.default {...this.props}/>;
                case "SquaresInSquares":
                    return <SquaresInSquares_1.default {...this.props}/>;
                case "Rain":
                    return <Rain_1.default {...this.props}/>;
                case "Rails":
                    return <Rails_1.default {...this.props}/>;
                case "Moroccan":
                    return <Moroccan_1.default {...this.props}/>;
                case "MorphingDiamonds":
                    return <MorphingDiamonds_1.default {...this.props}/>;
                case "Jigsaw":
                    return <Jigsaw_1.default {...this.props}/>;
                case "Overcast":
                    return <Overcast_1.default {...this.props}/>;
                case "FormalInvitation":
                    return <FormalInvitation_1.default {...this.props}/>;
                case "Topography":
                    return <Topography_1.default {...this.props}/>;
                case "Texture":
                    return <Texture_1.default {...this.props}/>;
                case "Jupiter":
                    return <Jupiter_1.default {...this.props}/>;
                case "Cutout":
                    return <Cutout_1.default {...this.props}/>;
                case "Hideout":
                    return <Hideout_1.default {...this.props}/>;
                case "GraphPaper":
                    return <GraphPaper_1.default {...this.props}/>;
                case "YYY":
                    return <YYY_1.default {...this.props}/>;
                case "Squares":
                    return <Squares_1.default {...this.props}/>;
                case "PianoMan":
                    return <PianoMan_1.default {...this.props}/>;
                case "PieFactory":
                    return <PieFactory_1.default {...this.props}/>;
                case "Dominos":
                    return <Dominos_1.default {...this.props}/>;
                case "Hexagons":
                    return <Hexagons_1.default {...this.props}/>;
                case "CharlieBrown":
                    return <CharlieBrown_1.default {...this.props}/>;
                case "Autumn":
                    return <Autumn_1.default {...this.props}/>;
                case "Temple":
                    return <Temple_1.default {...this.props}/>;
                case "StampCollection":
                    return <StampCollection_1.default {...this.props}/>;
                case "ChurchOnSunday":
                    return <ChurchOnSunday_1.default {...this.props}/>;
                case "DeathStar":
                    return <DeathStar_1.default {...this.props}/>;
                case "ILikeFood":
                    return <ILikeFood_1.default {...this.props}/>;
                case "OverlappingHexagons":
                    return <OverlappingHexagons_1.default {...this.props}/>;
                case "Bamboo":
                    return <Bamboo_1.default {...this.props}/>;
                case "CorkScrew":
                    return <CorkScrew_1.default {...this.props}/>;
                case "HappyIntersection":
                    return <HappyIntersection_1.default {...this.props}/>;
                case "Kiwi":
                    return <Kiwi_1.default {...this.props}/>;
                case "Lips":
                    return <Lips_1.default {...this.props}/>;
                case "Lisbon":
                    return <Lisbon_1.default {...this.props}/>;
                case "RandomShapes":
                    return <RandomShapes_1.default {...this.props}/>;
                case "SteelBeams":
                    return <SteelBeams_1.default {...this.props}/>;
                case "TinyCheckers":
                    return <TinyCheckers_1.default {...this.props}/>;
                case "XEquals":
                    return <XEquals_1.default {...this.props}/>;
                case "AnchorsAway":
                    return <AnchorsAway_1.default {...this.props}/>;
                case "BevelCircle":
                    return <BevelCircle_1.default {...this.props}/>;
                case "BrickWall":
                    return <BrickWall_1.default {...this.props}/>;
                case "FancyRectangles":
                    return <FancyRectangles_1.default {...this.props}/>;
                case "HeavyRain":
                    return <HeavyRain_1.default {...this.props}/>;
                case "Plus":
                    return <Plus_1.default {...this.props}/>;
                case "RoundedPlusConnected":
                    return <RoundedPlusConnected_1.default {...this.props}/>;
                case "VolcanoLamp":
                    return <VolcanoLamp_1.default {...this.props}/>;
                case "Wiggle":
                    return <Wiggle_1.default {...this.props}/>;
                case "Cage":
                    return <Cage_1.default {...this.props}/>;
                case "Connections":
                    return <Connections_1.default {...this.props}/>;
                case "Current":
                    return <Current_1.default {...this.props}/>;
                case "FlippedDiamonds":
                    return <FlippedDiamonds_1.default {...this.props}/>;
                case "Glamorous":
                    return <Glamorous_1.default {...this.props}/>;
                case "HoundStooth":
                    return <HoundStooth_1.default {...this.props}/>;
                case "Leaf":
                    return <Leaf_1.default {...this.props}/>;
                case "LinesInMotion":
                    return <LinesInMotion_1.default {...this.props}/>;
                case "ZigZag":
                    return <ZigZag_1.default {...this.props}/>;
                case "Aztec":
                    return <Aztec_1.default {...this.props}/>;
                case "Boxes":
                    return <Boxes_1.default {...this.props}/>;
                case "CircuitBoard":
                    return <CircuitBoard_1.default {...this.props}/>;
                case "Curtain":
                    return <Curtain_1.default {...this.props}/>;
                case "DiagonalLines":
                    return <DiagonalLines_1.default {...this.props}/>;
                case "EndlessClouds":
                    return <EndlessClouds_1.default {...this.props}/>;
                case "Eyes":
                    return <Eyes_1.default {...this.props}/>;
                case "FloorTile":
                    return <FloorTile_1.default {...this.props}/>;
                case "Groovy":
                    return <Groovy_1.default {...this.props}/>;
                case "IntersectingCircles":
                    return <IntersectingCircles_1.default {...this.props}/>;
                case "Melt":
                    return <Melt_1.default {...this.props}/>;
                case "OverlappingDiamonds":
                    return <OverlappingDiamonds_1.default {...this.props}/>;
                case "ParkayFloor":
                    return <ParkayFloor_1.default {...this.props}/>;
                case "PixelDots":
                    return <PixelDots_1.default {...this.props}/>;
                case "Signal":
                    return <Signal_1.default {...this.props}/>;
                case "SlantedStars":
                    return <SlantedStars_1.default {...this.props}/>;
                case "Wallpaper":
                    return <Wallpaper_1.default {...this.props}/>;
                default:
                    return <FallingTriangles_1.default {...this.props}/>;
            }
        };
    }
    render() {
        const { pattern, style, children } = this.props;
        return (<react_native_1.View style={[styles.container, Object.assign({}, style)]}>
        <react_native_1.View style={styles.svgContainer}>
          <react_native_svg_1.default width="100%" height="100%" viewBox="0 0 300 600" preserveAspectRatio="none">
            {this.renderPattern(pattern)}
            <react_native_svg_1.Rect fill={`url(#${pattern})`} x="0" y="0" width="300" height="600"/>
          </react_native_svg_1.default>
        </react_native_1.View>
        {children}
      </react_native_1.View>);
    }
}
exports.default = BackgroundSVG;
const styles = react_native_1.StyleSheet.create({
    container: {
        height: "100%",
        width: "100%",
        flex: 1
    },
    svgContainer: {
        flex: 1,
        height: "100%",
        width: "100%",
        position: "absolute"
    }
});
