"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function AutumnPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Autumn" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 88}`} height={`${height || 24}`} viewBox="0 0 88 24">
        <react_native_svg_1.Path d="M10 0l30 15 2 1V2.18A10 10 0 0041.76 0H39.7a8 8 0 01.3 2.18v10.58L14.47 0H10zm31.76 24a10 10 0 00-5.29-6.76L4 1 2 0v13.82a10 10 0 005.53 8.94L10 24h4.47l-6.05-3.02A8 8 0 014 13.82V3.24l31.58 15.78A8 8 0 0139.7 24h2.06zM78 24l2.47-1.24A10 10 0 0086 13.82V0l-2 1-32.47 16.24A10 10 0 0046.24 24h2.06a8 8 0 014.12-4.98L84 3.24v10.58a8 8 0 01-4.42 7.16L73.53 24H78zm0-24L48 15l-2 1V2.18A10 10 0 0146.24 0h2.06a8 8 0 00-.3 2.18v10.58L73.53 0H78z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = AutumnPattern;
