"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function CirclesSquaresPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="CirclesSquares" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 30}`} height={`${height || 30}`} viewBox="0 0 40 40">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"} d="M0 0h20v20H0V0zm10 17a7 7 0 100-14 7 7 0 000 14zm20 0a7 7 0 100-14 7 7 0 000 14zM10 37a7 7 0 100-14 7 7 0 000 14zm10-17h20v20H20V20zm10 17a7 7 0 100-14 7 7 0 000 14z"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = CirclesSquaresPattern;
