"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function CurrentPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Current" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 76}`} height={`${height || 18}`} viewBox="0 0 76 18">
        <react_native_svg_1.Path d="M31.999 18A9.985 9.985 0 0128 10a8 8 0 00-8-8H0V0h20c5.523 0 10 4.477 10 10a8 8 0 008 8h20a8 8 0 008-8c0-5.523 4.477-10 10-10v2a8 8 0 00-8 8 9.985 9.985 0 01-3.999 8H31.999zM64.001 0A9.956 9.956 0 0158 2H38a9.956 9.956 0 01-6.001-2h32.002z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = CurrentPattern;
