"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function RainPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Rain" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 12}`} height={`${height || 16}`} viewBox="0 0 12 16">
        <react_native_svg_1.Path d="M4 .99C4 .445 4.444 0 5 0a1 1 0 011 .99v4.02C6 5.555 5.556 6 5 6a1 1 0 01-1-.99V.99zm6 8c0-.546.444-.99 1-.99a1 1 0 011 .99v4.02c0 .546-.444.99-1 .99a1 1 0 01-1-.99V8.99z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = RainPattern;
