"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function SquaresPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="Squares" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 32}`} height={`${height || 32}`} viewBox="0 0 32 32">
        <react_native_svg_1.Path fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fill={fillColor || "black"} stroke={strokeColor || "black"} d="M6 18h12V6H6v12zM4 4h16v16H4V4z" fillRule="nonzero"/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = SquaresPattern;
