"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
function YYYPattern({ strokeColor, fillColor, height, width, fillOpacity, strokeOpacity }) {
    return (<react_native_svg_1.Defs>
      <react_native_svg_1.Pattern id="YYY" patternUnits="userSpaceOnUse" x="0" y="0" width={`${width || 60}`} height={`${height || 60}`} viewBox="0 0 60 60">
        <react_native_svg_1.Path d="M36 10a6 6 0 0112 0v12a6 6 0 01-6 6 6 6 0 00-6 6 6 6 0 01-12 0 6 6 0 00-6-6 6 6 0 01-6-6V10a6 6 0 1112 0 6 6 0 0012 0zm24 78a6 6 0 01-6-6 6 6 0 00-6-6 6 6 0 01-6-6V58a6 6 0 1112 0 6 6 0 006 6v24zM0 88V64a6 6 0 006-6 6 6 0 0112 0v12a6 6 0 01-6 6 6 6 0 00-6 6 6 6 0 01-6 6z" fillOpacity={fillOpacity || 1} strokeOpacity={strokeOpacity || 1} fillRule="evenodd" fill={fillColor || "black"} stroke={strokeColor || "black"}/>
      </react_native_svg_1.Pattern>
    </react_native_svg_1.Defs>);
}
exports.default = YYYPattern;
